<?
include_once("./_common.php");
include_once("$g4[path]/lib/mailer.lib.php");

/*
ziumsoft. 쪽지 관리
*/

if (!trim($_SESSION["ss_mb_id"]))	alert("로그인 되어 있지 않습니다.");

//-- 차단하기 -------------------------------------------------------------------------------------
if($mode == "refusal") {
	$id		= trim($id);

	if (!$id)					alert('아이디가 없습니다.');
    if ($id == $member[mb_id])	alert('본인을 차단 할 수 없습니다.');

	$res	= sql_fetch("select * from $zmb[table_memo_refusal] where db_id='$member[mb_id]' and db_refusal_id='$id'");
	if($res[db_refusal_id]) alert("회원님은 해당 회원을 이미 차단 하셨습니다.");

	$res	= sql_fetch("select mb_id, mb_level from $g4[member_table] where mb_id='$id'");
	if(($res[mb_id] == "") || ($res[mb_level] == "10")) alert("차단하려는 아이디는 회원이 아니거나 차단 할 수 없는 아이디입니다.");

	$now	= date("Y-m-d H:i:s", $g4[server_time]);
	$res	= sql_query("insert into $zmb[table_memo_refusal] set db_id='$member[mb_id]', db_refusal_id='$id', db_datetime='$now'");

	alert("아이디를 차단 했습니다.");
}

//-- 차단 해제 하기 -------------------------------------------------------------------------------
if($mode == "refusalcancel") {
    if (!$refusalid)	alert('아이디가 없습니다.');

	sql_query("delete from $zmb[table_memo_refusal] where db_id='$member[mb_id]' and db_refusal_id='$refusalid'");

	alert("차단 해제 했습니다.", "./zm.memo_adm.php");
}

//-- 수신 관리 ------------------------------------------------------------------------------------
if($mode == "recv_condition") {
	if(!$memo_recv_condition) alert("수신 조건이 잘 못 됐습니다. ");

	sql_query("update $zmb[table_member] set db_memo_recv_condition='$memo_recv_condition' where db_id='$member[mb_id]'");

	zm_gourl("./zm.memo_adm.php");
}
?>
